--- old/usr/src/cmd/mv/mv.c	Mon Apr 15 19:11:53 2013
+++ new/usr/src/cmd/mv/mv.c	Mon Apr 15 19:11:53 2013
@@ -182,8 +182,8 @@
 
 	/*
 	 * Check for options:
-	 * 	cp  -r|-R [-H|-L|-P] [-fip@/] file1 [file2 ...] target
-	 * 	cp [-fiprR@/] file1 [file2 ...] target
+	 * 	cp [ -r|-R [-H|-L|-P]] [-afip@/] file1 [file2 ...] target
+	 * 	cp [-afiprR@/] file1 [file2 ...] target
 	 *	ln [-f] [-n] [-s] file1 [file2 ...] target
 	 *	ln [-f] [-n] [-s] file1 [file2 ...]
 	 *	mv [-f|i] file1 [file2 ...] target
@@ -191,7 +191,7 @@
 	 */
 
 	if (cpy) {
-		while ((c = getopt(argc, argv, "fHiLpPrR@/")) != EOF)
+		while ((c = getopt(argc, argv, "afHiLpPrR@/")) != EOF)
 			switch (c) {
 			case 'f':
 				fflg++;
@@ -238,6 +238,13 @@
 			case 'r':
 				rflg++;
 				break;
+			case 'a':
+				Lflg = Hflg = 0;
+				pflg++;
+				Pflg++;
+				Rflg++;
+				rflg++;
+				break;
 			case '@':
 				atflg++;
 				attrsilent = 0;
@@ -1323,10 +1330,10 @@
 #endif
 	} else if (cpy) {
 		(void) fprintf(stderr, gettext(
-		    "Usage: cp [-f] [-i] [-p] [-@] [-/] f1 f2\n"
-		    "       cp [-f] [-i] [-p] [-@] [-/] f1 ... fn d1\n"
-		    "       cp -r|-R [-H|-L|-P] [-f] [-i] [-p] [-@] [-/] "
-		    "d1 ... dn-1 dn\n"));
+		    "Usage: cp [-a] [-f] [-i] [-p] [-@] [-/] f1 f2\n"
+		    "       cp [-a] [-f] [-i] [-p] [-@] [-/] f1 ... fn d1\n"
+		    "       cp [-r|-R [-H|-L|-P]] [-a] [-f] [-i] [-p] [-@] "
+		    "[-/] d1 ... dn-1 dn\n"));
 	}
 	exit(2);
 }
